Package org.codehaus.commons.compiler

# Interface IMultiCookable

All Known Subinterfaces:
  `IExpressionEvaluator`, `IScriptEvaluator`

All Known Implementing Classes:
  `ExpressionEvaluator`, `ExpressionEvaluator`, `MultiCookable`, `ScriptEvaluator`, `ScriptEvaluator`

public interface IMultiCookable

## Method Summary

Modifier and Type
Method
Description
`void`
`cook(InputStream... inputStreams)`
Same as `Cookable.cook(InputStream)`, but cooks a set of documents into one class.
`void`
`cook(InputStream[] inputStreams, String[] encodings)`
Same as `Cookable.cook(InputStream, String)`, but cooks a set of documents into one class.
`void`
`cook(Reader... readers)`
Same as `Cookable.cook(Reader)`, but cooks a set of documents into one class.
`void`
`cook(String[] strings)`
Same as `Cookable.cook(String)`, but cooks a set of documents into one class.
`void`
`cook(String[] fileNames, InputStream[] inputStreams)`
Same as `Cookable.cook(String, InputStream)`, but cooks a set of documents into one class.
`void`
`cook(String[] fileNames, InputStream[] inputStreams, String[] encodings)`
Same as `Cookable.cook(String, InputStream, String)`, but cooks a set of documents into one class.
`void`
`cook(String[] fileNames, Reader[] readers)`
Same as `Cookable.cook(String, Reader)`, but cooks a set of documents into one class.
`void`
`cook(String[] fileNames, String[] strings)`
Same as `Cookable.cook(String, String)`, but cooks a set of documents into one class.
`void`
`cookFiles(File[] files)`
Same as `Cookable.cookFile(File)`, but cooks a set of documents into one class.
`void`
`cookFiles(File[] files, String[] encodings)`
Same as `Cookable.cookFile(File, String)`, but cooks a set of documents into one class.
`void`
`cookFiles(String[] fileNames)`
Same as `Cookable.cookFile(String)`, but cooks a set of documents into one class.
`void`
`cookFiles(String[] fileNames, String[] encodings)`
Same as `Cookable.cookFile(String, String)`, but cooks a set of documents into one class.

## Method Details

### cook

void cook(Reader... readers) throws CompileException, IOException
Same as `Cookable.cook(Reader)`, but cooks a set of documents into one class.

Throws:
  `CompileException`
  `IOException`

### cook

void cook(String[] fileNames, Reader[] readers) throws CompileException, IOException
Same as `Cookable.cook(String, Reader)`, but cooks a set of documents into one class. Notice that if any of the documents causes trouble, the entire compilation will fail. If you need to report which of the documents causes the exception, you may want to use the `fileNames` parameter to distinguish between the individual token sources.

Throws:
  `CompileException`
  `IOException`

### cook

void cook(String[] strings) throws CompileException
Same as `Cookable.cook(String)`, but cooks a set of documents into one class.

Throws:
  `CompileException`

### cook

void cook(String[] fileNames, String[] strings) throws CompileException
Same as `Cookable.cook(String, String)`, but cooks a set of documents into one class.

Throws:
  `CompileException`

### cook

void cook(InputStream... inputStreams) throws CompileException, IOException
Same as `Cookable.cook(InputStream)`, but cooks a set of documents into one class.

Throws:
  `CompileException`
  `IOException`

### cook

void cook(InputStream[] inputStreams, String[] encodings) throws CompileException, IOException
Same as `Cookable.cook(InputStream, String)`, but cooks a set of documents into one class.

Throws:
  `CompileException`
  `IOException`

### cook

void cook(String[] fileNames, InputStream[] inputStreams) throws CompileException, IOException
Same as `Cookable.cook(String, InputStream)`, but cooks a set of documents into one class.

Throws:
  `CompileException`
  `IOException`

### cook

void cook(String[] fileNames, InputStream[] inputStreams, String[] encodings) throws CompileException, IOException
Same as `Cookable.cook(String, InputStream, String)`, but cooks a set of documents into one class.

Throws:
  `CompileException`
  `IOException`

### cookFiles

void cookFiles(File[] files) throws CompileException, IOException
Same as `Cookable.cookFile(File)`, but cooks a set of documents into one class.

Throws:
  `CompileException`
  `IOException`

### cookFiles

void cookFiles(File[] files, String[] encodings) throws CompileException, IOException
Same as `Cookable.cookFile(File, String)`, but cooks a set of documents into one class.

Throws:
  `CompileException`
  `IOException`

### cookFiles

void cookFiles(String[] fileNames) throws CompileException, IOException
Same as `Cookable.cookFile(String)`, but cooks a set of documents into one class.

Throws:
  `CompileException`
  `IOException`

### cookFiles

void cookFiles(String[] fileNames, String[] encodings) throws CompileException, IOException
Same as `Cookable.cookFile(String, String)`, but cooks a set of documents into one class.

Throws:
  `CompileException`
  `IOException`